<ng-container *ngIf="vm$ | async as vm">
  <p-button [label]="'Messages.Channels' | translate" (click)="onToggleSidebar(true)"></p-button>
  <p-sidebar [(visible)]="vm.sidebarVisible" position="right" (onHide)="onToggleSidebar(false)">
    <ng-template pTemplate="header">{{'Messages.Channels' | translate}}</ng-template>
    <ng-template pTemplate="content">
      <div class="channels__container">
        @if(vm.isLoading){
        <ct-spinner />
        } @else {
        @for (channel of vm.channels; track $index) {
        <ct-channel [channel]="channel" (channelSelected)="onChannelSelected($event)"/>
        }
        @if (!vm.channels.length) {
        <p>{{'Messages.NoChannelAvailable' | translate }}</p>
        }
        }
      </div>
    </ng-template>
  </p-sidebar>
</ng-container>
